Bug 125857 - Disk Utilization Spike right after each update
Disk Utilization Spike right after each update
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-12 09:30 EDT by Gary Feng
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 13:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attachment 1, Disk Utilization (%): Disk Device hda of 7 days (110.43 KB, image/bmp)
2004-06-12 09:34 EDT, Gary Feng
no flags Details
Attachment 2, Disk Utilization (%): Disk Device hda of last 31 days (110.43 KB, image/bmp)
2004-06-12 09:36 EDT, Gary Feng
no flags Details

  None (edit)
Description Gary Feng 2004-06-12 09:30:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Disk Utilization %util spikes up to 100% right after upgraded the 
kernel from 2.4.21-9.0.3.EL to 2.4.21-15.EL. The high %util last 
about 12 hours and then goes down 10% and then spikes up to 45% after 
another 12 hours (see attachement 1).

In fact the same behavior happened for the update of
from 2.4.21-9.0.1.EL to 2.4.21-9.0.3.EL. (see attachment 2 [details]).

I only see this heppens on ATA DISK drives not on SCSI Disk drives.

Any ideas?



Version-Release number of selected component (if applicable):
2.4.21-15.EL

How reproducible:
Always

Steps to Reproduce:
1.update the kernel with the release of 2.4.21-15.EL
2.
3.
    

Additional info:
Comment 1 Gary Feng 2004-06-12 09:34:56 EDT
Created attachment 101082 [details]
Attachment 1 [details], Disk Utilization (%): Disk Device hda of 7 days

The chart of disk utilization(%)
Comment 2 Gary Feng 2004-06-12 09:36:27 EDT
Created attachment 101083 [details]
Attachment 2 [details], Disk Utilization (%): Disk Device hda of last 31 days
Comment 3 Suzanne Hillman 2004-06-14 11:45:25 EDT
This looks to be something for which you might be best off going
through support, as Bugzilla is not an avenue for technical
assistance, but simply a bug tracking system.

To do this, you will need to log into https://www.redhat.com/apps/support/
Comment 4 Ernie Petrides 2004-06-14 18:42:30 EDT
Hi, Gary.  I concur with Suzanne on this one, especially since
the issue might be related to something different installed with
the update that is outside of the kernel.  Support is in the best
position to help you.

In the meantime, I'll reassign this to a kernel engineer who knows
about our disk susbsystems.  But please let us know what answers
you get back from Customer Support.

Thanks.  -ernie
Comment 5 Doug Ledford 2005-02-18 05:20:32 EST
My guess is that this isn't a bug, but is a side effect of the prelink
option we use on current systems.  After a large number of RPMs are
updated on disk, the system needs to redo the prelink cycle.  This
cycle would be disk intensive.  It may be something else, but this is
my first guess at the what's going on.
Comment 6 Doug Ledford 2005-10-17 13:47:04 EDT
No activity for over 6 months, closing.

Note You need to log in before you can comment on or make changes to this bug.